using System;
using System.Collections.Generic;
using System.Web.Security;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class Admin_ValidateCode : System.Web.UI.Page
{
    int numCount;
    int paddingWidth;
    int paddingHeight;
    int fontSize;
    int totalWidth;

    protected void Page_Load(object sender, EventArgs e)
    {
        int.TryParse(Request["w"], out totalWidth);
        int.TryParse(Request["n"], out numCount);
        int.TryParse(Request["pw"], out paddingWidth);
        int.TryParse(Request["ph"], out paddingHeight);
        int.TryParse(Request["fs"], out fontSize);
        (new SnSee.Tool.ValidateCode()).CreateCheckCodeImage((numCount == 0 ? 4 : numCount), fontSize, totalWidth, paddingWidth, paddingHeight);
    }
}